# Class ForwardingStandardJavaFileManager

java.lang.Object
javax.tools.ForwardingJavaFileManager<StandardJavaFileManager>
com.google.testing.compile.ForwardingStandardJavaFileManager

All Implemented Interfaces:
  `Closeable, Flushable, AutoCloseable, JavaFileManager, OptionChecker, StandardJavaFileManager`

public class ForwardingStandardJavaFileManager extends ForwardingJavaFileManager<StandardJavaFileManager> implements StandardJavaFileManager
Forwards calls to a given `StandardJavaFileManager`. Subclasses of this class might override some of these methods and might also provide additional fields and methods.

## Nested Class Summary

### Nested classes/interfaces inherited from interface JavaFileManager

`JavaFileManager.Location`

### Nested classes/interfaces inherited from interface StandardJavaFileManager

`StandardJavaFileManager.PathFactory`

## Field Summary

### Fields inherited from class ForwardingJavaFileManager

`fileManager`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ForwardingStandardJavaFileManager(StandardJavaFileManager fileManager)`
Creates a new instance of ForwardingStandardJavaFileManager.

## Method Summary

Modifier and Type
Method
Description
`Iterable<? extends JavaFileObject>`
`getJavaFileObjects(File... files)`
`Iterable<? extends JavaFileObject>`
`getJavaFileObjects(String... names)`
`Iterable<? extends JavaFileObject>`
`getJavaFileObjectsFromFiles(Iterable<? extends File> files)`
`Iterable<? extends JavaFileObject>`
`getJavaFileObjectsFromStrings(Iterable<String> names)`
`Iterable<? extends File>`
`getLocation(JavaFileManager.Location location)`
`void`
`setLocation(JavaFileManager.Location location, Iterable<? extends File> path)`
`void`
`setLocationFromPaths(JavaFileManager.Location location, Collection<? extends Path> searchpath)`

### Methods inherited from class ForwardingJavaFileManager

`close, contains, flush, getClassLoader, getFileForInput, getFileForOutput, getFileForOutputForOriginatingFiles, getJavaFileForInput, getJavaFileForOutput, getJavaFileForOutputForOriginatingFiles, getLocationForModule, getLocationForModule, getServiceLoader, handleOption, hasLocation, inferBinaryName, inferModuleName, isSameFile, isSupportedOption, list, listLocationsForModules`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface JavaFileManager

`close, contains, flush, getClassLoader, getFileForInput, getFileForOutput, getFileForOutputForOriginatingFiles, getJavaFileForInput, getJavaFileForOutput, getJavaFileForOutputForOriginatingFiles, getLocationForModule, getLocationForModule, getServiceLoader, handleOption, hasLocation, inferBinaryName, inferModuleName, list, listLocationsForModules`

### Methods inherited from interface OptionChecker

`isSupportedOption`

### Methods inherited from interface StandardJavaFileManager

`asPath, getJavaFileObjects, getJavaFileObjectsFromPaths, getJavaFileObjectsFromPaths, getLocationAsPaths, isSameFile, setLocationForModule, setPathFactory`

## Constructor Details

### ForwardingStandardJavaFileManager

protected ForwardingStandardJavaFileManager(StandardJavaFileManager fileManager)
Creates a new instance of ForwardingStandardJavaFileManager.

Parameters:
  `fileManager` - delegate to this file manager

## Method Details

### getJavaFileObjectsFromFiles

public Iterable<? extends JavaFileObject> getJavaFileObjectsFromFiles(Iterable<? extends File> files)

Specified by:
  `getJavaFileObjectsFromFiles` in interface `StandardJavaFileManager`

### getJavaFileObjects

public Iterable<? extends JavaFileObject> getJavaFileObjects(File... files)

Specified by:
  `getJavaFileObjects` in interface `StandardJavaFileManager`

### getJavaFileObjects

public Iterable<? extends JavaFileObject> getJavaFileObjects(String... names)

Specified by:
  `getJavaFileObjects` in interface `StandardJavaFileManager`

### getJavaFileObjectsFromStrings

public Iterable<? extends JavaFileObject> getJavaFileObjectsFromStrings(Iterable<String> names)

Specified by:
  `getJavaFileObjectsFromStrings` in interface `StandardJavaFileManager`

### setLocation

public void setLocation(JavaFileManager.Location location, Iterable<? extends File> path) throws IOException

Specified by:
  `setLocation` in interface `StandardJavaFileManager`
Throws:
  `IOException`

### getLocation

public Iterable<? extends File> getLocation(JavaFileManager.Location location)

Specified by:
  `getLocation` in interface `StandardJavaFileManager`

### setLocationFromPaths

public void setLocationFromPaths(JavaFileManager.Location location, Collection<? extends Path> searchpath) throws IOException

Specified by:
  `setLocationFromPaths` in interface `StandardJavaFileManager`
Throws:
  `IOException`